Bug 170727 - pcmcia card not recognised first time
pcmcia card not recognised first time
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 21:39 EDT by Walter Neumann
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 00:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Neumann 2005-10-13 21:39:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
New in kernel-2.6.13-1.1526_FC4:
My pcmcia wireless card is only recognised on every second insertion. First, third, fifth etc insertions do not start up the card and generate nothing in the logs (this did not happen with older kernels including 2.6.13-1.1524). Card
starts  OK if present on boot, but then fails to start if removed and reinserted, and then on every second try after that.



Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1.boot kernel-2.6.13-1.1526_FC4
2.insert and remove pcmcia wireless card repeatedly
3.
  

Actual Results:  card is not recognised on first try. It is only recognised every second insertion.

Expected Results:  Card is recognised and comes to life every time it is inserted.

Additional info:

Nothing useful in the logs
Comment 1 Walter Neumann 2005-10-13 21:51:45 EDT
Same happens with all three PC-cards I've tried: wireless, ethernet, modem.
Only every second card inserted is recognised, even if I try them in random order. 
Comment 2 Walter Neumann 2005-10-23 02:07:55 EDT
Bug is still there in kernel 2.6.13-1.1532_FC4. It started with
kernel-2.6.13-1.1526_FC4. It was not in kernel-2.6.13-1.1524_FC4 and earlier.
Comment 3 Dave Jones 2005-11-10 14:25:10 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Walter Neumann 2005-11-10 21:07:42 EST
Bug is still there in 2.6.14-1.1637_FC4
Comment 5 Dave Jones 2006-02-03 01:43:24 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Walter Neumann 2006-02-03 02:03:46 EST
No change -- same problem using kernel-2.6.15-1.1830_FC4 and udev-071-0.FC4.1
(the latter dependency was not provided automatically by the fedora updates).

But no-one else has confirmed this problem so it may be an idiosynchracy of the
hardware. It is also far from fatal, so maybe it is time to close the bug. But
I'm happy to keep testing if you want to keep it open. Logs give no hint of what
the problem is, and I don't have time to delve deeper than that.

The machine that shows this problem is an oem laptop from Linuxcertified. The
problem does not show up on my new Dell Latitude D410.
Comment 7 Dave Jones 2006-09-16 21:59:35 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 16:57:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Walter Neumann 2006-10-30 09:58:52 EST
Bug is still there after a complete fresh install of FC5 (after hard drive
died). Kernel tested is 2.6.18-1.2200.fc5. Since no-one else has confirmed this
issue it seems to be special to my hardware (Linuxcertified LC2400 laptop; this
is OEM hardware which seems to be based on the Uniwill N351S1).

 
Comment 10 petrosyan 2008-03-10 12:08:29 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 11 Walter Neumann 2008-03-12 15:13:24 EDT
Can't test. The relevant machine is no longer available.  Since noone else has
reported or confirmend the bug it was probably specific to the hardware -- a
LinuxCertified OEM laptop that sold very few units before a new model was
introduced.  So I think it can be closed (it is my bug, but the system refuses
to let me close it).

Note You need to log in before you can comment on or make changes to this bug.